commit:     88556ed49e5a6707efde9a6513c262a008a7c9bc
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  1 22:06:58 2016 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sat Oct  1 22:09:47 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88556ed4

dev-python/botocore: add version 1.4.56

Package-Manager: portage-2.3.1

 dev-python/botocore/Manifest               |  1 +
 dev-python/botocore/botocore-1.4.56.ebuild | 54 ++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index d389322..cc9fb89 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
 DIST botocore-1.4.51.tar.gz 2753035 SHA256 
e6216bf77f23c49eaae9fff4ad3903af2fbff0de92d2d730d8ca83447be33ad9 SHA512 
80849c9eae2d700751258cc8dcf099a8bb8210c0f8f92f2daf53125879b91b7934f56fe98afdac38a92997fb9cb1584d3e188866508514758d4b587d9c1913cb
 WHIRLPOOL 
d0014eb9c10215dd4fbaab220a7a9db308dbb6c19857738c650a479591d5d63da4abed95d2c2708f8a92cd7f438c0518ed5216dcfa3332b94abe3fd3050d59df
 DIST botocore-1.4.53.tar.gz 2772347 SHA256 
7d6c96999e57145fb0b0c9534c3c7bfa9dfd30a58a4d9ccaa89f734211d987ad SHA512 
28a6b2dbea3ee5394df15fb2c99a9d353fb75785b8e87e309c7c77dc61fe3fc508d76bbcd3e6cf928851be4cb236c4a375e8307a1b97db0f224b7057007cdcd7
 WHIRLPOOL 
c14095f6f3e7aa616ebb258634323b266e8668eef89839250760ad09e23b9686ec421a6388036b1457295248b019484beca597e92d0efc90eb4dfff0e9cbce22
 DIST botocore-1.4.55.tar.gz 2774299 SHA256 
0c0a2ffa545cb4209cac4f8caad4463d12e17c052a2a643814109782a68540b8 SHA512 
5d5311112e56329afa37f7930102e60d6372790c9c45f76f483936fb53eb97608f6a2b7d3c39c5c03e576a25e1b8944586761b11465409cd57bbed2af590a5d7
 WHIRLPOOL 
1ebe49e320cb894281a3e7b35779baa99d7d7f1a59aa469cc0ef8e67880cc6eb070ba43cd4040f5fa57b739be4f3aac8c83a6d1d797f3fac942109ef40c9fa60
+DIST botocore-1.4.56.tar.gz 2778136 SHA256 
8cf6152b5af9df16bb7ba660d2bc7dc110911532fc253e052c2c26099d84ac8f SHA512 
87b48221e7d1c9d77bd048f5d3a4b67660af1d3c3ebdbce0f517fd3f8fa5ae91cb45d3644d62b40ec85291f4e26f85dff6ddb2258d5a86cce26b82abee09421f
 WHIRLPOOL 
c336b5878d5656455b696a75eca28f4c65cc95af0ed79d6e7051908652cf6c935d65db2b9185dabf0df493c49d4478870463ff2a1e31cb33c45f05794cb86621

diff --git a/dev-python/botocore/botocore-1.4.56.ebuild 
b/dev-python/botocore/botocore-1.4.56.ebuild
new file mode 100644
index 00000000..9c57e33
--- /dev/null
+++ b/dev-python/botocore/botocore-1.4.56.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3."
+HOMEPAGE="https://github.com/boto/botocore";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="
+       >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+       <dev-python/python-dateutil-3.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+               <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               ~dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to